#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QProcess>
#include <QMessageBox>
#include <QPushButton>
#include "intrabocal.h"
#include "epimafia.h"

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT
    
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

protected:
    void paintEvent(QPaintEvent *);

public slots:
    void search(bool badLogin = false);
    void loadUsers();
    void askStartUsrMgr();
    void startUsrMgr();

private slots:
    void intraError(IntraBocal::Error e);
    void intraLogged();
    void intraSearchFinished(QList<QList<QString> > users);
    void resizeToMin();
    void processFinished(int);
    
private:
    Ui::Widget *ui;
    IntraBocal* m_intra;
    EpiUsers m_users;
    int m_currentUser;
    void clearLayout(QLayout *layout);
};

#endif // WIDGET_H
