#ifndef CHATMANAGER_H
#define CHATMANAGER_H

#include <QObject>
#include <QApplication>
#include "netsoul.h"
#include "dialogchat.h"

class ChatManager : public QObject
{
	Q_OBJECT
public:
	explicit ChatManager(QObject *parent = 0);
	~ChatManager();
	
signals:
	void sendMessageRequested(NetSoul::User, QString);

public slots:
	void chat(NetSoul::Users users);
	void newMessage(NetSoul::Message msg);
	void setMe(NetSoul::User user);

private slots:
	void dlgChatsendMessage(NetSoul::User usr, QString msg);

private:
	DialogChat* getChatWindow(NetSoul::User user);
	QList<DialogChat*> m_dlgChat;
	NetSoul::User m_me;
};

#endif // CHATMANAGER_H
