#ifndef CONNECTWIDGET_H
#define CONNECTWIDGET_H

#include <QWidget>
#include <QMessageBox>
#include <QProcess>
#include "options.h"
#include "netsoul.h"
#include "epimafia.h"

namespace Ui {
class ConnectWidget;
}

class ConnectWidget : public QWidget
{
    Q_OBJECT
    
public:
    explicit ConnectWidget(QWidget *parent = 0);
    ~ConnectWidget();

	bool hasLogin(QString login);

signals:
    void loginRequested(EpiUser);

public slots:
    void nsStateChanged(NetSoul::State s);
    void login();
    void loadUsers();
    void launchUsrManager();

private slots:
    void processFinished(int);

private:
    Ui::ConnectWidget *ui;
};

#endif // CONNECTWIDGET_H
