#ifndef CONTACTSWIDGET_H
#define CONTACTSWIDGET_H

#include <QWidget>
#include <QStringList>
#include <QMenu>
#include <QProcess>
#include "netsoul.h"

namespace Ui {
class ContactsWidget;
}

class ContactsWidget : public QWidget
{
    Q_OBJECT
    
public:
    explicit ContactsWidget(QWidget *parent = 0);
    ~ContactsWidget();

signals:
    void userStateChanged(NetSoul::UserState);
    void removeFromContactsRequested(QStringList logins);
    void chatRequested(NetSoul::Users);

public slots:
    void nsStateChanged(NetSoul::State s);
    void nsUserDataChanged(NetSoul::User user);
    void addContact(QString contact);
    void addContacts(QStringList contacts);
    void removeFromContacts(QString login);
    void removeFromContacts(QStringList logins);
    
private slots:
    void on_comboUserState_activated(int index);
    void contactsMenuRequested(QPoint p);
    void chat();
    void searchOnIntra();
    void removeFromContacts();
    void chatWithContact(NetSoul::User user);

private:
    Ui::ContactsWidget *ui;
    QMenu* m_contactsMenu;
};

#endif // CONTACTSWIDGET_H
