#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QLabel>
#include <QSystemTrayIcon>
#include <QCloseEvent>
#include <QSettings>
#include "netsoul.h"
#include "dialogaddcontact.h"
#include "chatmanager.h"
#include "options.h"
#include "dialogoptions.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void closeEvent(QCloseEvent *);

public slots:
    void showAndRaise();
    void toggleVisibility();
    void options();
    void addContact();
    void addContact(QString contact);
    void addContacts(QStringList contacts);
	void removeContacts(QStringList contacts);

private slots:
	void nsStateChanged(NetSoul::State s);
    void nsUnknownCommand(QString cmd);
	void trayActivated(QSystemTrayIcon::ActivationReason r);
    
private:
    Ui::MainWindow *ui;
    NetSoul* m_netsoul;
    QLabel* m_labelState;
	QSystemTrayIcon* m_tray;
    QStringList m_contacts;
	ChatManager* m_chatMgr;
};

#endif // MAINWINDOW_H
