#ifndef USERTREEWIDGET_H
#define USERTREEWIDGET_H

#include <QTreeWidget>
#include <QHeaderView>
#include <QVariant>
#include "netsoul.h"

class UserTreeWidget : public QTreeWidget
{
    Q_OBJECT
public:
    explicit UserTreeWidget(QWidget *parent = 0);
    NetSoul::User getSelectedUser();
    NetSoul::Users getSelectedUsers();
    
signals:
    void userSelected(NetSoul::User);
    
public slots:
    void updateUser(NetSoul::User user);
    void updateUsers(NetSoul::Users users);
    void addUser(NetSoul::User user);
    void addUsers(NetSoul::Users users);
    void remove(QStringList logins);
    void filter(QString text);
    void resetUsers();

private slots:
    void itemDoubleClicked(QTreeWidgetItem* item,int);

private:
    bool itemContains(QTreeWidgetItem *item, QString text);
    
};

#endif // USERTREEWIDGET_H
