#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QProcess>
#include <QDir>
#include "netsoul.h"

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT
    
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();
    
private slots:
    void on_lineLogin_returnPressed();

    void on_lineIp_returnPressed();

    void ipList(NetSoul::Users users);
    void loginList(NetSoul::Users users);
    void ipStateChanged(NetSoul::State state);
    void loginStateChanged(NetSoul::State state);
    void setStatus(NetSoul::State state);

    void on_btnSearchLogin_clicked();

private:
    Ui::Widget *ui;
    NetSoul* m_netsoul;
};

#endif // WIDGET_H
